import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconCalendar as IconCalendarClass } from "../../../../components/icon/icons/calendar.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconCalendar = (props) => {
  IconCalendarClass.define();
  const JSXElement = getReactComponent("gds-icon-calendar");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconCalendar.displayName = "IconCalendar";
export {
  IconCalendar
};
